Fedora 38 : glibc (2024-07597a0fb3)

high Nessus プラグイン ID 189875

Language:

概要

リモートの Fedora ホストに 1 つ以上のセキュリティ更新プログラムがありません。

説明

リモートの Fedora 38 ホストには、FEDORA-2024-07597a0fb3 のアドバイザリに記載された複数の脆弱性の影響を受けるパッケージがインストールされています。

- glibc ライブラリの __vsyslog_internal 関数で、ヒープベースのバッファオーバーフローが見つかりました。この関数は、syslog および vsyslog 関数によって呼び出されます。この問題は、openlog 関数が呼び出されなかった場合、または ident 引数を NULL に設定して呼び出され、プログラム名 (argv[0] の basename) が 1024 バイトより大きい場合に発生し、アプリケーションクラッシュまたはローカルの権限昇格が発生します。この問題は、glibc 2.36 以降に影響します。(CVE-2023-6246)

- glibc ライブラリの __vsyslog_internal 関数で、off-by-one ヒープベースのバッファオーバーフローが見つかりました。この関数は、syslog および vsyslog 関数によって呼び出されます。この問題は、これらの関数が INT_MAX バイトを超えるメッセージで呼び出された場合に発生し、メッセージを保存するためのバッファサイズが不適切に計算され、アプリケーションがクラッシュします。この問題は、glibc 2.37 以降に影響します。(CVE-2023-6779)

- glibc ライブラリの __vsyslog_internal 関数で、整数バッファオーバーフローが見つかりました。この関数は、syslog および vsyslog 関数によって呼び出されます。この問題は、これらの関数が非常に長いメッセージで呼び出された場合に発生し、メッセージを保存するためのバッファサイズが不適切に計算され、未定義の動作が発生します。この問題は、glibc 2.37 以降に影響します。(CVE-2023-6780)

Nessus はこれらの問題をテストしておらず、代わりにアプリケーションが自己報告するバージョン番号にのみ依存していることに注意してください。

ソリューション

影響を受けるglibcパッケージを更新してください。

参考資料

https://bodhi.fedoraproject.org/updates/FEDORA-2024-07597a0fb3

プラグインの詳細

深刻度: High

ID: 189875

ファイル名: fedora_2024-07597a0fb3.nasl

バージョン: 1.2

タイプ: local

エージェント: unix

公開日: 2024/2/1

更新日: 2024/2/13

サポートされているセンサー: Frictionless Assessment Agent, Nessus Agent, Agentless Assessment, Nessus

リスク情報

VPR

リスクファクター: High

スコア: 8.4

CVSS v2

リスクファクター: Medium

基本値: 6.8

現状値: 5.3

ベクトル: CVSS2#AV:L/AC:L/Au:S/C:C/I:C/A:C

CVSS スコアのソース: CVE-2023-6246

CVSS v3

リスクファクター: High

基本値: 7.8

現状値: 7

ベクトル: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

現状ベクトル: CVSS:3.0/E:P/RL:O/RC:C

脆弱性情報

CPE: cpe:/o:fedoraproject:fedora:38, p-cpe:/a:fedoraproject:fedora:glibc

必要な KB アイテム: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

エクスプロイトが利用可能: true

エクスプロイトの容易さ: Exploits are available

パッチ公開日: 2024/1/30

脆弱性公開日: 2024/1/30

参照情報

CVE: CVE-2023-6246, CVE-2023-6779, CVE-2023-6780